View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012595ParaView(No Category)public2011-09-14 22:372012-02-08 17:22
ReporterAlan Scott 
Assigned ToAlan Scott 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.14 
Summary0012595: We need more default color tables
DescriptionFrom a user:

It would be great if ParaView had a wider selection of colorbars to choose from. Sometimes the colorbar can make or break your visualization. If you look the two Density plots I attached, you’ll see that the feature on-axis is totally not visible in the standard blue-green-red colorbar. But with the more finely graded colorbar, it pops right out.

Any chance Kitware developers might be willing/able to add a colorbar like seen in the BlueRedFine image I attached?

Full disclosure: these images came from VisIt – maybe that’s obvious. Anyway, in VisIt, the standard blue-green-red colorbar is called “hot”, and the finely graded blue-green-red colorbar is called “hot_desaturated.” I think it adds a lot to the visualization to have the much finer gradations included there. Could ParaView have this colorbar too?? Perhaps it would have to be named something different than what VisIt calls it?

Two other colorbars VisIt has that would be really nice are also attached in the “JEtheta” images. One is useful for exposing interfaces. It is a blue-black-yellow colorbar, so that the 0.5 value is black and looks like an interface between a blue material and an orange material. The other useful one is a variant on the blue-to-red colorbar, which has white beneath the blue, and magenta above the red. This is helpful for (1) effectively making the 0 value invisible in the plot, and (2) helping the 1.0 value jump out.

(I can upload the files on request.)
TagsNo tags attached.
ProjectSandia
Topic Name12595-more-color-tables
Typefeature
Attached Filespng file icon DensityFieldBlueRed.png [^] (42,423 bytes) 2011-09-15 14:35


png file icon DensityFieldBlueRedFine.png [^] (44,672 bytes) 2011-09-15 14:36


png file icon JEthetaInterface.png [^] (41,671 bytes) 2011-09-15 14:36


png file icon JEWhiteMagenta.png [^] (42,414 bytes) 2011-09-15 14:36

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027670)
Utkarsh Ayachit (administrator)
2011-11-07 13:46

Alan, I'm assigning this to you, since if I remember correctly, you volunteered to add LUTs for ParaView. Feel free to assign it back if that's not the case.
(0027831)
Utkarsh Ayachit (administrator)
2011-12-19 15:14

merged into master (wherever applicable)
(0027851)
Utkarsh Ayachit (administrator)
2011-12-19 15:15

merged into master (wherever applicable)
(0027876)
Alan Scott (manager)
2011-12-21 21:35

Looks good to this customer.

Tested remote server, Linux, master.

- Issue History
Date Modified Username Field Change
2011-09-14 22:37 Alan Scott New Issue
2011-09-15 14:35 Alan Scott File Added: DensityFieldBlueRed.png
2011-09-15 14:36 Alan Scott File Added: DensityFieldBlueRedFine.png
2011-09-15 14:36 Alan Scott File Added: JEthetaInterface.png
2011-09-15 14:36 Alan Scott File Added: JEWhiteMagenta.png
2011-11-07 13:45 Utkarsh Ayachit Assigned To => Alan Scott
2011-11-07 13:46 Utkarsh Ayachit Note Added: 0027670
2011-12-15 15:58 Robert Maynard Topic Name => 12595-more-color-tables
2011-12-15 15:58 Robert Maynard Status backlog => gatekeeper review
2011-12-19 15:14 Utkarsh Ayachit Note Added: 0027831
2011-12-19 15:15 Utkarsh Ayachit Status gatekeeper review => customer review
2011-12-19 15:15 Utkarsh Ayachit Note Added: 0027851
2011-12-19 15:16 Utkarsh Ayachit Fixed in Version => git-master
2011-12-21 21:35 Alan Scott Note Added: 0027876
2011-12-21 21:35 Alan Scott Status customer review => closed
2011-12-21 21:35 Alan Scott Resolution open => fixed
2012-02-08 17:22 Utkarsh Ayachit Fixed in Version git-master => 3.14


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker